package com.example.catchTheLetters.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 关卡结算信息类
 *
 * @author spyn
 */
@Data
public class ScoreInfo implements Serializable {
    /**
     * ID
     */
    private String id;
    /**
     * 用户ID
     */
    private String userId;
    /**
     * 关卡ID
     */
    private String levelId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 分数
     */
    private Integer score;
    /**
     * 时间（UNIX时间戳）
     */
    private Long time;

    public ScoreInfo() {
    }

    public ScoreInfo(String userId, String levelId, String username, Integer score, Long time) {
        this.userId = userId;
        this.levelId = levelId;
        this.username = username;
        this.score = score;
        this.time = time;
    }
}
